require"player"
require"mob"

--Sets up the Entity Object
Entity = {}

--The initialize method
Entity.Init = function(spwx, spwy, Entype)
	
	--Sets local vars
	local obj = {}
	local x = spwx 
	local y = spwy
	local speed = 2
	local EnName = Entype
	local dampow = setDamPow(EnName)
	local health = setHealth(EnName)
	local DeRad = 10;
	local DNA = 0
	
	--Function to reset the mob
	obj.newType = function(name)
		EnName = name
	end
	
	--Move the Entity
	obj.move = function(mx, my)
		mapx = mapx - (mx * speed)
		mapy = mapy - (my * speed)
	end
	
	--Draw Entity
	obj.draw = function()
		if EnName == "player" then
			draw_player(x,y)
		elseif EnName == "testMob" then
			draw_mob(x*2,y*2)
		end
	end
	
	--Get Entity's ID, I really have no idea why I made this function...
	obj.getEnTypeID = function()
		if EnName == "player" then
			return 1
		elseif EnName == "testMob" then
			return 2
		end
	end
	
	--Update Entity
	obj.update = function(dt)
		if EnName == "player" then
			player_update(dt)
		elseif EnName == "testMob" then
			mob_update(dt)
		end
	end
	
	--Updates the 
	obj.damg = function(dam)
		health = health - dam
	end
	
	--Returns height
	obj.getHeight = function()
		if EnName == "player" then
			return 19
		elseif EnName == "testMob" then
			return 32
		else
			return 32
		end
	end
	
	--Returns width
	obj.getWidth = function()
		if EnName == "player" then
			return 32
		elseif EnName == "testMob" then
			return 32
		else
			return 32
		end
	end
	
	--Returns X
	obj.getX = function()
		if EnName == "player" then
			return x - mapx
		elseif EnName == "testMob" then
			return x * 2
		end
	end
	
	--Returns Y
	obj.getY = function()
		if EnName == "player" then
			return y - mapy
		elseif EnName == "testMob" then
			return y * 2
		end
	end
	
	--Returns health
	obj.getHealth = function()
		return health
	end
	
	--Returns DamagePower
	obj.getDamPow = function()
		return dampow
	end
	
	obj.getDeRad = function()
		return DeRad
	end
	
	obj.setDeRad = function (ra)
		DeRad = ra
	end
	
	--See the effect the iteam has on the Entity
	obj.gotIteam = function(much, power)
		if power == "heal" then
			health = health + much
		end
	end
	
	return obj
	
end

function setDamPow(itDam)
	
	--Sets the Damage Power
	if itDam ~= nil then
		if itDam == "player" then
			return 10
		else 
			return 5
		end
	end
	
end

function setHealth(ithealth)
	
	--Sets the health
	if ithealth ~= nil then
		if ithealth == "player" then
			return 100
		else
			return 50
		end
	end
	
end