function love.load()

	--Loads all the files require
	require"conf"
	require"map"
	require"col"
	require"iteams"
	
	--Set the function love.graphics.newQuad() to Quad, bcuz I'm lazy!
	Quad = love.graphics.newQuad
	
	--Loads all the load_XXXX functions
	load_iteams()
	load_map("GFX/Maps1/map.png")
	load_ColMap("GFX/Maps1/colmap.png")
	
	--setBackgroundColor
	love.graphics.setBackgroundColor(63, 255, 255)
	
	--Sets Some Varibles
	hit = false
	damtimer = 0
	isfull = false
	
	--debug mode
	deing = false
	
end

function love.update(dt)
	
	--For Fullscreen
	if love.keyboard.isDown('f5') and isfull == false then
		love.graphics.setMode( 900, 600, true)
		isfull = true
	elseif love.keyboard.isDown('f5') and isfull == true then
		love.graphics.setMode( 900, 600, false)
		isfull = false
	elseif love.keyboard.isDown('f1') then
		love.load()
	elseif love.keyboard.isDown('f4') and deing == false then
		deing = true
	elseif love.keyboard.isDown('f4') and deing == true then
		deing = false
	end
	
	--Updates what happens when collide with Mobs and Iteams
	update_DamgCol()
	update_iteamCol()
	
	--Updates Mobs
	for i = 0, table.getn(Mobs) do
		Mobs[i].update(dt)
	end
	
	--Updates Iteams
	iteams_update(dt)
	
	--Updates Player
	Player.update(dt)
	
end


function love.draw()
	
	--If hit change color
	if hit then
		love.graphics.setColor(255, 0, 0, 220)
	end
	
	--Draw Player
	Player.draw()
	love.graphics.setColor(255, 255, 255, 255)
	
	--Draw Mobs
	for i = 0, table.getn(Mobs) do
		Mobs[i].draw()
	end
	
	
	--Draw Map
	draw_map()
	--Draw Iteams
	for i = 0, table.getn(Iteams) do
		if Iteams[i] ~= nil then
			Iteams[i].draw()
		end
	end
	
end

